# Time-stamp: <00/10/03 15:58:46 html2ps.spec wbosse@berlin.snafu.de>

Name:      html2ps
Version:   1.0b3
Release:   3_olea1
License: GPL
Vendor:    Jan Krrman <jan@tdb.uu.se>
Group:     Applications/Publishing
Requires:  perl tetex tetex-dvips ImageMagick tcl tk
Summary:   HTML to PostScript converter
Source0:   %{name}-%{version}.tar.gz
Source1:   %{name}rc.rh62
Packager:  Werner Bosse <wbosse@berlin.snafu.de>
Requires:  ImageMagick-perl
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

%define    lib /usr/share/html2ps

%description
The Perl script html2ps converts HTML to PostScript. You must have
Perl 5 installed to be able to use html2ps.

%prep
%setup
%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
perl -i -p -e 's@/\S+/html2psrc@%{lib}/html2psrc@;
               s@/\S+/html2ps\.html@%{_defaultdocdir}/%{name}-%{version}/html2ps.html@;
               ' html2ps
install -d -m 755 $RPM_BUILD_ROOT/usr/bin \
                  $RPM_BUILD_ROOT/usr/X11R6/bin \
                  $RPM_BUILD_ROOT%{lib} \
                  $RPM_BUILD_ROOT/usr/man/man1 \
                  $RPM_BUILD_ROOT/usr/man/man5
install -m 755 html2ps backout $RPM_BUILD_ROOT/usr/bin
install -m 755 contrib/xhtml2ps/xhtml2ps $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{lib}/%{name}rc
install -m 644 hyphen.tex $RPM_BUILD_ROOT%{lib}
install -m 644 html2psrc.5 $RPM_BUILD_ROOT/usr/man/man5
install -m 644 html2ps.1 $RPM_BUILD_ROOT/usr/man/man1
rm contrib/xhtml2ps/xhtml2ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING contrib/xhtml2ps sample html2ps.html
/usr/bin/*
/usr/X11R6/bin/*
%{lib}
/usr/man/man1/*
/usr/man/man5/*

%changelog
* Mon Nov 21 2005 Ismael Olea <ismael@olea.org>
- updating to FC4

* Tue Oct  3 2000 Werner Bosse <wbosse@berlin.snafu.de>
- modified sample rc file for RedHat 6.2 standard distribution
- initial spec file
